<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>TodoApp</title>
</head>

<link rel="stylesheet" href="style.css">

<body>
   
    <header>
        <h1> TodoApp</h1>
    </header>
    <ul id = "list"></ul>
    <section>
         <a href="" onclick="javascript:removeElement('list' + Id + ''); return false;">Remove</a> 
    </section>
    <footer>
        <form>
        <input id="input" type="text" placeholder="Add list here"></input>
        <button id="button" type="button" class="button">Submit</button>
    </form>
    </footer>
    <script> 
            let list =[];
            let listElement = document.getElementById('list');
            let input = document.getElementById('input');
            let button = document.getElementsByClassName('button')[0];
        
            button.addEventListener('click', function(event){
                let value = input.value;
                let el ="";
                if (value){
                    list.push(value);
        
                    if(list.length){
                        for (let i=0;i < list.length; i++){
                            el += "<li>" + list[i] + "</li>";                    
                        }
                        listElement.innerHTML = el;
                    }
                } 
                console.log(list);
            });
        
            </script>
</body>
</html>
